Video/ivtv version 0.13
=======================

Video::ivtv is designed to be a quick hack at making the record-v4l2.pl
script not have to depend on the test_ioctl program included with the ivtv
utils.  By moving to have the things that have proven difficult to do purely
in perl to C where they currently are being done, I can concentrate on 
improving the code rather than hitting my head against the wall trying to
do code cleanups.  ;)

INSTALLATION

To install this module type the following:

   perl Makefile.PL
   make
   make test
   make install

DEPENDENCIES

This module requires these other modules and libraries:

  v4l2:
	videodev2.h - included

	ivtv:
  ivtv.h - Codec interface definitions (included)

COPYRIGHT AND LICENCE

Copyright (C) 2003-2004 James A. Pattie <james@pcxperience.com>


NOTES

0.10 relies on the bitrate_mode patch being applied in CVS.  This was added
     June 19, 2003.

0.11 relies on the audio -> audio_bitmask patch being applied in CVS.  This
     was added June 25, 2003 and fixed June 26, 2003.

0.13 is against the ivtv-0.2.0rc1g driver which should be pretty much
     what the 0.2.0 driver will be (feature wise).
		 CAUTION:  The setMSPMatrix support is now removed as that feature is no
		 longer publicaly available from the driver and is supposedly no longer
		 required to make the audio work after channel changes.


